Subject: Re: [PATCH] rev-parse --parseopt: option argument name hints

From: Junio C Hamano <[email-masked]>
Date: Tue, 11 Mar 2014 12:10:13 -0700

Junio C Hamano <[email-masked]> writes:

>> Documentation on the whole argument parsing is quite short, so, I
>> though, adding an example just to show how usage is generated would
>> look like I am trying to make this feature look important than it is
>> :)
>
> You already are by saying the "Angle brackets are automatic", aren't
> you?

That is, among the things --parseopt mode does, the above stresses
what happens _only_ when it emits help text for items that use this
feature.